Mail archive
alpine-aports

[alpine-aports] [PATCH 10/15] testing/perl-io-tee: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sat, 12 Dec 2015 12:25:21 +0000

---
 testing/perl-io-tee/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/perl-io-tee/APKBUILD
diff --git a/testing/perl-io-tee/APKBUILD b/testing/perl-io-tee/APKBUILD
new file mode 100644
index 0000000..29198ba
--- /dev/null
+++ b/testing/perl-io-tee/APKBUILD
_at_@ -0,0 +1,34 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=perl-io-tee
+pkgver=0.64
+_realname=IO-Tee-$pkgver
+pkgrel=0
+pkgdesc="Multiplex output to multiple output handles"
+url="http://search.cpan.org/dist/IO-Tee/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/K/KE/KENSHAN/$_realname.tar.gz"
+
+_builddir="$srcdir"/$_realname
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="97d91e38fcadc1f01d8030a8d4f30701  IO-Tee-0.64.tar.gz"
+sha256sums="3ed276b1c2d3511338653c2532e73753d284943c1a8f5159ff37fecc2b345ed6  IO-Tee-0.64.tar.gz"
+sha512sums="9473a9ce3222ee6998cc53851a34051a9ae5990b9c514b5e5d322832d76f0e20d7af51bf7f06603ad927ab9789e5ab10da7a0693e4867112cd3e1dc1ca25d017  IO-Tee-0.64.tar.gz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Dec 12 2015 - 12:25:21 GMT